#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "EffectCardViewData.h"
#include "EffectCardViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API UEffectCardViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API IEffectCardViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetData(const FEffectCardViewData& effectCardData);

};
